View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18087Bug reportsSurvey editingpublic2022-05-16 11:19
Reporterc_schmitz Assigned Togabrieljenik  
PriorityimmediateSeverityblock 
Status closedResolutionfixed 
Product Version5.3.x 
Summary18087: Focus is jumping in the survey structure
Description

When working in the survey structure with several groups and clicking on the question in the first group, the visual focus of the question is vanishing one second after clicking and the group focus is moved to the next group.
Apparently that also has the effect that for certain user permission configurations some buttons (like the tools menu) are not shown/vanish after a second.

Steps To Reproduce

Steps to reproduce

HAve a survey with more than one group. Click on the first question in the first group in the survey structure side panel.

Expected result

Question (and its group) is focused and stay focused.

Actual result

Focus is removed after one second - group focus jumps to the next (or maybe last?) group.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.3.12
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

c_schmitz

c_schmitz

2022-05-06 09:51

administrator   ~69457

focus_bug.gif (578,620 bytes)
gabrieljenik

gabrieljenik

2022-05-09 16:18

manager   ~69522

Last edited: 2022-05-10 16:28

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2407

Apparently that also has the effect that for certain user permission configurations some buttons (like the tools menu) are not shown/vanish after a second.

Couldn't reproduce this.
Why don't we test this and try to see if that issue still apears.

c_schmitz

c_schmitz

2022-05-10 16:43

administrator   ~69548

Focus error is gone, but vanishing Tools menu is not.
The user in question has the following permissions (see screenshot). He is the owner of the example survey attached.
See GIF file which shows the tool menu quickly showing up then vanishing when clicking on question.

limesurvey_survey_739191.lss (23,851 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>486</DBVersion>
 <languages>
  <language>de</language>
 </languages>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[2797]]></aid>
    <qid><![CDATA[1755]]></qid>
    <code><![CDATA[AO01]]></code>
    <sortorder><![CDATA[0]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[2797]]></id>
    <aid><![CDATA[2797]]></aid>
    <answer/>
    <language><![CDATA[de]]></language>
   </row>
  </rows>
 </answer_l10ns>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[729]]></gid>
    <sid><![CDATA[739191]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[610]]></id>
    <gid><![CDATA[729]]></gid>
    <group_name><![CDATA[TestGruppe]]></group_name>
    <description/>
    <language><![CDATA[de]]></language>
    <sid><![CDATA[739191]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1755]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[739191]]></sid>
    <gid><![CDATA[729]]></gid>
    <type><![CDATA[L]]></type>
    <title><![CDATA[G01Q01]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
    <encrypted><![CDATA[N]]></encrypted>
    <question_theme_name><![CDATA[listradio]]></question_theme_name>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1387]]></id>
    <qid><![CDATA[1755]]></qid>
    <question><![CDATA[Testfrage]]></question>
    <help/>
    <language><![CDATA[de]]></language>
    <script/>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[alphasort]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[array_filter]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[array_filter_exclude]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[array_filter_style]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[crop_or_resize]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[display_columns]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[fix_height]]></attribute>
    <value><![CDATA[200]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[fix_width]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[horizontal_scroll]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[keep_aspect]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[other_comment_mandatory]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[other_numbers_only]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[other_position]]></attribute>
    <value><![CDATA[default]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[other_position_code]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[other_replace_text]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[random_order]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[scale_export]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_action]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_countdown_message]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_disable_next]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_disable_prev]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_message]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_message_delay]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_message_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_timer_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_2]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_2_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_2_message]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_2_style]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_display_time]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_message]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1755]]></qid>
    <attribute><![CDATA[time_limit_warning_style]]></attribute>
    <value/>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>showdatapolicybutton</fieldname>
   <fieldname>showlegalnoticebutton</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
   <fieldname>ipanonymize</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[739191]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[I]]></format>
    <savetimings><![CDATA[I]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[de]]></language>
    <additional_languages/>
    <datestamp><![CDATA[I]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[I]]></ipaddr>
    <refurl><![CDATA[I]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <showdatapolicybutton><![CDATA[0]]></showdatapolicybutton>
    <showlegalnoticebutton><![CDATA[0]]></showlegalnoticebutton>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
    <ipanonymize><![CDATA[I]]></ipanonymize>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_legal_notice</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[739191]]></surveyls_survey_id>
    <surveyls_language><![CDATA[de]]></surveyls_language>
    <surveyls_title><![CDATA[Test]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_error/>
    <surveyls_policy_notice_label/>
    <surveyls_legal_notice/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Einladung zu einer Umfrage]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Hallo {FIRSTNAME},

Hiermit möchten wir dich zu einer Umfrage einladen.

Der Titel der Umfrage ist 
"{SURVEYNAME}"

"{SURVEYDESCRIPTION}"

Um an dieser Umfrage teilzunehmen, klicke bitte auf den unten stehenden Link.

Mit freundlichen Grüßen,

{ADMINNAME} ({ADMINEMAIL})

----------------------------------------------
Klicke hier um die Umfrage zu starten:
{SURVEYURL}

Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:
{OPTOUTURL}

Wenn Sie geblockt sind, jedoch wieder teilnehmen und weitere Einladungen erhalten möchten, klicken Sie bitte auf den folgenden Link:
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Erinnerung an die Teilnahme an einer Umfrage]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Hallo {FIRSTNAME},

Vor kurzem haben wir dich zu einer Umfrage eingeladen.

Zu unserem Bedauern haben wir bemerkt, dass du die Umfrage noch nicht ausgefüllt hast. Wir möchten dir mitteilen, dass die Umfrage noch aktiv ist, und würden uns freuen, wenn du teilnehmen könntest.

Der Titel der Umfrage ist 
'{SURVEYNAME}'

'{SURVEYDESCRIPTION}'

Um an dieser Umfrage teilzunehmen, klicke bitte auf den unten stehenden Link.

 Mit freundlichen Grüßen,

{ADMINNAME} ({ADMINEMAIL})

----------------------------------------------
Klicke hier, um die Umfrage zu starten:
{SURVEYURL}

Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Registrierungsbestätigung für Teilnahmeumfrage]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Hallo {FIRSTNAME},

du (oder jemand, der deine E-Mail-Adresse angegeben hat) hast dich für eine Umfrage mit dem Titel {SURVEYNAME} angemeldet.

Um an dieser Umfrage teilzunehmen, klicke bitte auf folgenden Link:

{SURVEYURL}

Wenn du irgendwelche Fragen zu dieser Umfrage hast oder wenn du dich nicht für diese Umfrage angemeldet hast und glaubst, dass dir diese E-Mail irrtümlicherweise zugeschickt worden ist, kontaktiere bitte {ADMINNAME} unter {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Bestätigung für die Teilnahme an unserer Umfrage]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Hallo {FIRSTNAME},

Vielen Dank für die Teilnahme an der Umfrage mit dem Titel {SURVEYNAME}. Deine Antworten wurden bei uns gespeichert.

Wenn du irgendwelche Fragen zu dieser E-Mail hast, kontaktiere bitte {ADMINNAME} unter {ADMINEMAIL}.

Mit freundlichen Grüßen,

{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hallo,

Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.

Klicke auf den folgenden Link um den Antwortdatensatz anzusehen:
{VIEWRESPONSEURL}

Klicke auf den folgenden Link um den Antwortdatensatz zu bearbeiten:
{EDITRESPONSEURL}

Um die Statistik zu sehen, klicke hier:
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME} mit Ergebnissen]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hallo,

Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.

Klicken Sie auf den folgenden Link um den Antwortdatensatz anzusehen:
{VIEWRESPONSEURL}

Klicken Sie auf den folgenden Link um den Antwortdatensatz zu bearbeiten:
{EDITRESPONSEURL}

Um die Statistik zu sehen, klicken Sie hier:
{STATISTICSURL}


Die folgenden Antworten wurden vom Teilnehmer gegeben:
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[1]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>739191</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>739191</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <brandlogofile>image::theme::files/logo.png</brandlogofile>
     <container>on</container>
     <backgroundimage>off</backgroundimage>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <font>noto</font>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_739191.lss (23,851 bytes)   
vanishing tools menu.gif (450,957 bytes)
gabrieljenik

gabrieljenik

2022-05-10 18:47

manager   ~69550

OK, we could reproduce the flickering after having the user edit mode "on" under personal settings.
Will review to make it dissapear.

c_schmitz

c_schmitz

2022-05-11 09:49

administrator   ~69564

No, why would it disappear? The problem is that it disappears. Afaik the user has permissions to use the tools in the tool menu, so it needs to be visible, not disappear.

gabrieljenik

gabrieljenik

2022-05-11 15:08

manager   ~69579

Last edited: 2022-05-11 15:33

Will review to make it dissapear.

To make the flickering dissapear :)

gabrieljenik

gabrieljenik

2022-05-11 15:37

manager   ~69580

https://github.com/LimeSurvey/LimeSurvey/pull/2407#issuecomment-1123307977

The question editor has these toolbars:

  • View mode
  • Edit mode

The edit mode doesn't have a tools menu.
Is not that it has dissapeared. It is just not on the edit toolbar.
Maybe that's why seems confusing?

From what I understand the issue is not about permissions.
But related to the "Directly show edit mode" feature, which was causing the flickering.
That flickering should be off with yesterday's commit.

image.png (24,099 bytes)   
image.png (24,099 bytes)   
image-2.png (21,596 bytes)   
image-2.png (21,596 bytes)   
c_schmitz

c_schmitz

2022-05-11 17:19

administrator   ~69588

Ah,, I seee what you mean. Yes, you are right. Thank you!
Issue is resolved then.

gabrieljenik

gabrieljenik

2022-05-11 17:20

manager   ~69589

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33480

LimeBot

LimeBot

2022-05-16 11:19

administrator   ~69656

Fixed in Release 5.3.14+220516

Related Changesets

LimeSurvey: master 5418c6bc

2022-05-11 17:20:11

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18087: Focus is jumping in the survey structure (#2407) Affected Issues
18087
mod - application/extensions/TopbarWidget/views/questionTopbar_view.php Diff File
mod - assets/packages/adminsidepanel/build.min/css/adminsidepanel.css Diff File
mod - assets/packages/adminsidepanel/build.min/css/adminsidepanel.rtl.css Diff File
mod - assets/packages/adminsidepanel/build.min/js/adminsidepanel.js Diff File
mod - assets/packages/adminsidepanel/build/js/adminsidepanel.js Diff File
mod - assets/packages/adminsidepanel/src/components/sidebar.vue Diff File

Issue History

Date Modified Username Field Change
2022-05-06 09:46 c_schmitz New Issue
2022-05-06 09:47 c_schmitz Assigned To => gabrieljenik
2022-05-06 09:47 c_schmitz Priority none => immediate
2022-05-06 09:47 c_schmitz Severity minor => block
2022-05-06 09:47 c_schmitz Status new => assigned
2022-05-06 09:48 c_schmitz Bug heat 0 => 2
2022-05-06 09:51 c_schmitz Bug heat 2 => 0
2022-05-06 09:51 c_schmitz Note Added: 69457
2022-05-06 09:51 c_schmitz File Added: focus_bug.gif
2022-05-06 09:51 c_schmitz Bug heat 0 => 2
2022-05-06 11:18 c_schmitz Description Updated
2022-05-09 16:18 gabrieljenik Status assigned => testing
2022-05-09 16:18 gabrieljenik Note Added: 69522
2022-05-09 16:18 gabrieljenik Bug heat 2 => 4
2022-05-10 16:28 c_schmitz Note Edited: 69522
2022-05-10 16:43 c_schmitz Note Added: 69548
2022-05-10 16:43 c_schmitz File Added: Screenshot 2022-05-10 at 16-38-18 LimeSurvey Professional - Your online survey service.png
2022-05-10 16:43 c_schmitz File Added: limesurvey_survey_739191.lss
2022-05-10 16:43 c_schmitz File Added: vanishing tools menu.gif
2022-05-10 18:47 gabrieljenik Note Added: 69550
2022-05-11 09:49 c_schmitz Note Added: 69564
2022-05-11 15:08 gabrieljenik Note Added: 69579
2022-05-11 15:33 gabrieljenik Note Edited: 69579
2022-05-11 15:37 gabrieljenik Note Added: 69580
2022-05-11 15:37 gabrieljenik File Added: image.png
2022-05-11 15:37 gabrieljenik File Added: image-2.png
2022-05-11 17:19 c_schmitz Note Added: 69588
2022-05-11 17:19 c_schmitz Status testing => resolved
2022-05-11 17:19 c_schmitz Resolution open => fixed
2022-05-11 17:20 gabrieljenik Changeset attached => LimeSurvey master 5418c6bc
2022-05-11 17:20 gabrieljenik Note Added: 69589
2022-05-16 11:19 LimeBot Note Added: 69656
2022-05-16 11:19 LimeBot Status resolved => closed
2022-05-16 11:19 LimeBot Bug heat 4 => 6